/// <reference types="handlebars" />
import { CLIOptions } from '../../types';
import { Category } from '../../enums/category';
import { RuleScope } from '../../enums/rulescope';
export declare type UseCase = {
    dom: boolean;
    request: boolean;
    thirdPartyService: boolean;
    jsInjection: boolean;
};
export interface INewRule {
    name: string;
    normalizedName: string;
    category: Category;
    description: hbs.SafeString;
    elementType?: string;
    events: string;
    useCase?: UseCase;
    scope: RuleScope;
    external: Boolean;
    parentName: string;
}
export declare enum QuestionsType {
    main = "main",
    rule = "rule",
}
export declare const questions: (type: QuestionsType) => ({
    message: string;
    name: string;
    type: string;
    when: () => boolean;
    default?: undefined;
    validate?: undefined;
    choices?: undefined;
} | {
    default(answers: any): string;
    message(answers: any): string;
    name: string;
    type: string;
    validate: (value: any) => boolean;
    when?: undefined;
    choices?: undefined;
} | {
    choices: any[];
    default: Category;
    message: string;
    name: string;
    type: string;
    when(answers: any): boolean;
    validate?: undefined;
} | {
    choices: {
        name: string;
        value: string;
    }[];
    default: string;
    message: string;
    name: string;
    type: string;
    when(answers: any): boolean;
    validate?: undefined;
} | {
    default: string;
    message: string;
    name: string;
    type: string;
    validate: (value: any) => boolean;
    when: (answers: any) => boolean;
    choices?: undefined;
} | {
    choices: any[];
    default: RuleScope;
    message: string;
    name: string;
    type: string;
    when(answers: any): boolean;
    validate?: undefined;
} | {
    default: boolean;
    message: string;
    name: string;
    type: string;
    when: () => boolean;
    validate?: undefined;
    choices?: undefined;
})[];
export declare const newRule: (actions: CLIOptions) => Promise<boolean>;
