import { UserConfig, CLIOptions, ConnectorConfig, RulesConfigObject } from './types';
export declare class SonarwhalConfig {
    readonly browserslist: Array<string>;
    readonly connector: ConnectorConfig;
    readonly formatters: Array<string>;
    readonly ignoredUrls: any;
    readonly parsers: Array<string>;
    readonly rules: RulesConfigObject;
    readonly rulesTimeout: number;
    readonly extends: Array<string>;
    private constructor();
    static loadBrowsersList(config: UserConfig): any;
    static loadConfigFile(filePath: string): UserConfig;
    static fromConfig(config: UserConfig, actions?: CLIOptions): SonarwhalConfig;
    static validateRulesConfig(config: SonarwhalConfig): {
        invalid: any[];
        valid: any[];
    };
    static fromFilePath(filePath: string, actions: CLIOptions): SonarwhalConfig;
    static getFilenameForDirectory: (directory: string) => string;
}
