"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const path = require("path");
const fs_extra_1 = require("fs-extra");
const schema_validator_1 = require("../utils/schema-validator");
const debug_1 = require("../utils/debug");
const logger = require("../utils/logging");
const debug = debug_1.debug(__filename);
const schema = fs_extra_1.readJSONSync(path.join(__dirname, 'config-schema.json'));
exports.validateConfig = (config) => {
    debug('Validating configuration');
    if (!schema_validator_1.validate(schema, config).valid) {
        logger.error('Configuration schema is not valid');
        return false;
    }
    return true;
};
