/// <reference types="node" />
import { URL } from 'url';
import { AsyncHTMLDocument, AsyncHTMLElement } from './async-html';
import { IConnector, ILauncher, NetworkData } from '../../types';
import { Sonarwhal } from '../../sonarwhal';
export declare class Connector implements IConnector {
    private _options;
    private _headers;
    private _href;
    private _finalHref;
    private _server;
    private _client;
    private _child;
    private _requests;
    private _errorWithPage;
    private _html;
    private _dom;
    private _redirects;
    private _pendingResponseReceived;
    private _tabs;
    private _faviconLoaded;
    private _timeout;
    private pid;
    private _targetNetworkData;
    private launcher;
    constructor(server: Sonarwhal, config: object, launcher: ILauncher);
    private getElementFromParser(parts);
    private getElementFromRequest(requestId);
    private rootFaviconRequestOrResponse(params);
    private onRequestWillBeSent(params);
    private onLoadingFailed(params);
    private getResponseBody(cdpResponse);
    private createResponse(cdpResponse, element);
    private onResponseReceived(params);
    private traverseAndNotify(element);
    private getClient(port, tab);
    private initiateComms();
    private onError(err);
    private onDisconnect();
    private enableNetworkEvents();
    private configureAndEnableCDP();
    private getFavicon(element);
    private processPendingResponses();
    private onLoadEventFired(callback);
    collect(target: URL): any;
    private isClosed();
    close(): Promise<void>;
    fetchContent(target: URL | string, customHeaders?: object): Promise<NetworkData>;
    private wrapRuntimeEvalErrorInBrowser(e);
    evaluate(code: any): Promise<any>;
    querySelectorAll(selector: string): Promise<Array<AsyncHTMLElement>>;
    readonly dom: AsyncHTMLDocument;
    readonly headers: object;
    readonly html: Promise<string>;
}
