"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const vm = require("vm");
const jsdom = require("jsdom/lib/old-api");
const jsdomutils = require("jsdom/lib/jsdom/living/generated/utils");
const run = (data) => {
    const { source } = data;
    const result = {
        error: null,
        evaluate: 'result'
    };
    const url = process.argv[2];
    const waitFor = process.argv[3];
    jsdom.env({
        done: (error, window) => {
            if (error) {
                result.error = error;
                return process.send(result);
            }
            return setTimeout(async () => {
                try {
                    const script = new vm.Script(source);
                    const evaluteResult = await script.runInContext(jsdomutils.implForWrapper(window.document)._global);
                    result.evaluate = evaluteResult;
                }
                catch (err) {
                    result.error = err;
                }
                process.send(result);
            }, waitFor);
        },
        features: {
            FetchExternalResources: ['script', 'link', 'img'],
            ProcessExternalResources: ['script'],
            SkipExternalResources: false
        },
        url
    });
};
process.on('message', run);
