/// <reference types="node" />
import * as url from 'url';
import { IConnector } from '../../types';
import { Sonarwhal } from '../../sonarwhal';
export default class LocalConnector implements IConnector {
    private _options;
    private sonarwhal;
    private _href;
    private filesPattern;
    private watcher;
    constructor(sonarwhal: Sonarwhal, config: object);
    private getFilesPattern();
    private fetch(filePath);
    private getGitIgnore;
    private notify();
    private watch(targetString);
    fetchContent(target: string): Promise<{
        element: any;
        request: any;
        resource: string;
        response: {
            body: {
                content: string;
                rawContent: Buffer;
                rawResponse(): Promise<Buffer>;
            };
            charset: string;
            headers: any;
            hops: any[];
            mediaType: any;
            statusCode: number;
            url: string;
        };
    }>;
    collect(target: url.URL): Promise<void>;
    close(): Promise<void>;
}
