"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class RedirectManager {
    constructor() {
        this._redirects = new Map();
    }
    add(destination, source) {
        this._redirects.set(destination, source);
    }
    calculate(target) {
        let targetUrl = target;
        const hops = [targetUrl];
        while (this._redirects.has(targetUrl)) {
            targetUrl = this._redirects.get(targetUrl);
            if (hops.includes(targetUrl)) {
                break;
            }
            hops.unshift(targetUrl);
        }
        hops.pop();
        return hops;
    }
}
exports.RedirectManager = RedirectManager;
