import { IFormatterConstructor } from './types/formatters';
import { IConnectorConstructor } from './types/connector';
import { IParserConstructor } from './types/parser';
import { IRuleConstructor } from './types/rules';
export * from './types/asynchtml';
export * from './types/connector';
export * from './types/events';
export * from './types/formatters';
export * from './types/network';
export * from './types/problems';
export * from './types/rules';
export * from './types/parser';
export * from './types/schema-validation-result';
export declare type RuleConfig = number | string | [number | string, any];
export declare type RulesConfigObject = {
    [key: string]: RuleConfig | Array<RuleConfig>;
};
export declare type ConnectorOptionsConfig = {
    waitFor?: number;
    watch?: boolean;
};
export declare type ConnectorConfig = {
    name: string;
    options?: ConnectorOptionsConfig;
};
export declare type IgnoredUrl = {
    domain: string;
    rules: Array<string>;
};
export declare type UserConfig = {
    connector?: ConnectorConfig | string;
    extends?: Array<string>;
    parsers?: Array<string>;
    rules?: RulesConfigObject | Array<[string, RuleConfig]>;
    browserslist?: string | Array<string>;
    rulesTimeout?: number;
    formatters?: Array<string>;
    ignoredUrls?: Array<IgnoredUrl>;
    plugins?: any;
};
export declare type Resource = IConnectorConstructor | IFormatterConstructor | IRuleConstructor;
export declare type CLIOptions = {
    _: Array<string>;
    config: string;
    debug: boolean;
    format: string;
    help: boolean;
    init: boolean;
    newParser: boolean;
    newRule: boolean;
    removeRule: boolean;
    ['output-file']: string;
    version: boolean;
    watch: boolean;
    formatters: string;
    rules: string;
};
export declare type ORA = {
    start(): void;
    succeed(): void;
    fail(): void;
    text: string;
};
export declare type NpmMaintainer = {
    email: string;
    username: string;
};
export declare type NpmPackage = {
    date: Date;
    description: string;
    keywords: Array<string>;
    maintainers: Array<NpmMaintainer>;
    name: string;
    version: string;
};
export declare type SonarwhalResources = {
    connector: IConnectorConstructor;
    formatters: Array<IFormatterConstructor>;
    incompatible: Array<string>;
    missing: Array<string>;
    parsers: Array<IParserConstructor>;
    rules: Array<IRuleConstructor>;
};
