"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const path = require("path");
const Handlebars = require("handlebars");
const debug_1 = require("./debug");
const misc_1 = require("./misc");
const misc_2 = require("./misc");
const debug = debug_1.debug(__filename);
exports.sonarwhalPackage = require(path.join(misc_2.findPackageRoot(), 'package.json'));
Handlebars.registerHelper('dependencyVersion', (packageName, defaultVersion) => {
    return exports.sonarwhalPackage.dependencies[packageName] || exports.sonarwhalPackage.devDependencies[packageName] || defaultVersion;
});
exports.escapeSafeString = (str) => {
    const result = str.replace(/(`)/g, '\\$1');
    return new Handlebars.SafeString(result);
};
exports.compileTemplate = async (filePath, data) => {
    let templateContent;
    try {
        templateContent = await misc_1.readFileAsync(filePath);
    }
    catch (err) {
        debug(`Error reading file: ${filePath}`);
        throw (err);
    }
    const template = Handlebars.compile(templateContent);
    return template(data);
};
