/// <reference types="request-promise" />
import * as requestAsync from 'request-promise';
import { IAsyncHTMLElement } from '../types';
declare const cutString: (txt: string, length?: number) => string;
declare const delay: (millisecs: number) => Promise<object>;
declare const getFileName: (resource: string) => string;
declare const getFileExtension: (resource: string) => string;
declare const getHeaderValueNormalized: (headers: object, headerName: string, defaultValue?: string) => string;
declare const hasProtocol: (resource: string, protocol: string) => boolean;
declare const isDataURI: (resource: string) => boolean;
declare const isLocalFile: (resource: string) => boolean;
declare const isHTMLDocument: (targetURL: string, responseHeaders: object) => boolean;
declare const isHTTP: (resource: string) => boolean;
declare const isHTTPS: (resource: string) => boolean;
declare const normalizeString: (value: string, defaultValue?: string) => string;
declare const isRegularProtocol: (uri: string) => boolean;
declare const normalizeStringByDelimiter: (value: string, delimiter: string) => string;
declare const isNormalizedIncluded: (source: string, included: string) => boolean;
declare const toCamelCase: (value: string) => string;
declare const toPascalCase: (value: string) => string;
declare const readFile: (filePath: string) => string;
declare const readFileAsync: (filePath: string) => Promise<string>;
declare const requestJSONAsync: (uri: string, options: object) => requestAsync.RequestPromise;
declare const writeFileAsync: (filePath: string, data: string) => Promise<void>;
declare const loadJSONFile: (filePath: string) => any;
declare const loadJSFile: (filePath: string) => any;
declare const findPackageRoot: (dirname?: string, fileToFind?: string) => string;
declare const findNodeModulesRoot: (dirname?: string) => string;
declare const hasAttributeWithValue: (element: IAsyncHTMLElement, nodeName: string, attribute: string, value: string) => boolean;
declare const isFile: (filePath: string) => boolean;
declare const isDirectory: (directoryPath: string) => boolean;
declare const pathExists: (pathString: string) => boolean;
declare const isOfficial: () => Promise<boolean>;
declare const getPackage: (pathString: string) => any;
declare const getSonarwhalPackage: () => any;
declare const toLowerCaseKeys: (obj: any) => {};
export { cutString, delay, isNormalizedIncluded, findNodeModulesRoot, findPackageRoot, getFileExtension, getFileName, getHeaderValueNormalized, getPackage, getSonarwhalPackage, hasAttributeWithValue, hasProtocol, isDataURI, isDirectory, isFile, isHTMLDocument, isHTTP, isHTTPS, isLocalFile, isOfficial, isRegularProtocol, loadJSFile, loadJSONFile, normalizeString, normalizeStringByDelimiter, pathExists, readFile, readFileAsync, requestJSONAsync, requestAsync, toCamelCase, toPascalCase, toLowerCaseKeys, writeFileAsync };
