"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const path = require("path");
exports.toLowerCase = (list) => {
    return list.map((e) => {
        return e.toLowerCase();
    });
};
exports.getIncludedHeaders = (headers, headerList = []) => {
    const result = [];
    const list = exports.toLowerCase(headerList);
    for (const key of Object.keys(headers)) {
        const lowercaseKey = key.toLowerCase();
        if (list.includes(lowercaseKey)) {
            result.push(lowercaseKey);
        }
    }
    const shortedResult = result.sort();
    return shortedResult;
};
exports.getRuleName = (dirname, packageName) => {
    const parts = dirname.split(path.sep);
    let ruleName = '';
    const normalize = (name) => {
        return name.replace('rule-', '');
    };
    for (let i = 0; i < parts.length; i++) {
        if (parts[i].startsWith('rule-') || (parts[i - 1] && parts[i - 1].startsWith('rules'))) {
            ruleName = normalize(parts[i]);
            return packageName ? `${packageName}/${ruleName}` : ruleName;
        }
    }
    return ruleName;
};
exports.mergeIgnoreIncludeArrays = (originalArray, ignoreArray = [], includeArray = []) => {
    let result = exports.toLowerCase(originalArray);
    const include = exports.toLowerCase(includeArray);
    const ignore = exports.toLowerCase(ignoreArray);
    include.forEach((e) => {
        if (!result.includes(e)) {
            result.push(e);
        }
    });
    result = result.filter((e) => {
        return !ignore.includes(e);
    });
    return result;
};
