# Rules categories

* [Accessibility (a11y)](#accessibility)
* [Interoperability](#interoperability)
* [Performance](#performance)
* [PWAs](#pwas)
* [Security](#security)

## Accessibility

* [`axe`](../../../../rule-axe/README.md)

## Interoperability

* [`content-type`](../../../../rule-content-type/README.md)
* [`highest-available-document-mode`](../../../../rule-highest-available-document-mode/README.md)
* [`html-checker`](../../../../rule-html-checker/README.md)
* [`meta-charset-utf-8`](../../../../rule-meta-charset-utf-8/README.md)
* [`meta-viewport`](../../../../rule-meta-viewport/README.md)
* [`no-bom`](../../../../rule-no-bom/README.md)
* [`no-friendly-error-pages`](../../../../rule-no-friendly-error-pages/README.md)

## Performance

* [`amp-validator`](../../../../rule-amp-validator/README.md)
* [`http-cache`](../../../../rule-http-cache/README.md)
* [`http-compression`](../../../../rule-http-compression/README.md)
* [`image-optimization-cloudinary`](../../../../rule-image-optimization-cloudinary/README.md)
* [`no-html-only-headers`](../../../../rule-no-html-only-headers/README.md)
* [`no-http-redirects`](../../../../rule-no-http-redirects/README.md)

## PWAs

* [`apple-touch-icons`](../../../../rule-apple-touch-icons/README.md)
* [`manifest-app-name`](../../../../rule-manifest-app-name/README.md)
* [`manifest-exists`](../../../../rule-manifest-exists/README.md)
* [`manifest-file-extension`](../../../../rule-manifest-file-extension/README.md)
* [`meta-theme-color`](../../../../rule-meta-theme-color/README.md)

## Security

* [`disown-opener`](../../../../rule-disown-opener/README.md)
* [`no-disallowed-headers`](../../../../rule-no-disallowed-headers/README.md)
* [`no-protocol-relative-urls`](../../../../rule-no-protocol-relative-urls/README.md)
* [`no-vulnerable-javascript-libraries`](../../../../rule-no-vulnerable-javascript-libraries/README.md)
* [`sri`]( ../../../../rule-sri/README.md)
* [`ssllabs`](../../../../rule-ssllabs/README.md)
* [`strict-transport-security`](../../../../rule-strict-transport-security/README.md)
* [`validate-set-cookie-header`](../../../../rule-validate-set-cookie-header/README.md)
* [`x-content-type-options`](../../../../rule-x-content-type-options/README.md)

## Development

* [`babel-config`](../../../../rule-babel-config/README.md)
* [`typescript-config`](../../../../rule-typescript-config/README.md)
* [`webpack-config`](../../../../rule-webpack-config/README.md)
